export const zh = {
  language: 'zh',
  search: '搜索',
  all: '全部',
  sys: '系统',
  service: '服务',
  todo: '待办',
  msg: '消息',
  contact: '通讯录',
  group: '同事圈',
  news: '资讯',
  knowledge: '知识库',
  anyTime: '时间不限',
  beforeSearchTip: '共搜索到',
  afterSearchTip: '条数据',
  beforeSearchTime: '响应时间',
  afterSearchTime: '秒',
  today: '今天',
  thisWeek: '本周',
  thisMonth: '本月',
  thisYear: '本年',
  confirm: '确定',
  item: '条',
  msgGroup: '消息 • 群组',
  msgChat: '消息 • 聊天记录',
  msgFile: '消息 • 文件',
  showAll: '查看全部',
  recently: '最近',
  empty: '清空',
  chatting: '发起会话',
  cancelCollect: '取消收藏',
  tel: '电话',
  phone: '手机',
  departmentzh: '部门(中)',
  departmenten: '部门(英)',
  label: '标签',
  emId: '工号',
  company: '公司',
  superior: '上级',
  lower: '下属',
  email: '邮箱',
  workStation: '工作地',
  doNotAbout: '无',
  spread: '展开',
  fold: '折叠',
  hasAboutCount: '条相关聊天记录',
  keyWords: "关键字",
  path: "路    径",
  intro: "简   介",
  person: "人",
  noResult:"未搜索到结果",
  include:"包含",
  noName:"无名称",
  yes: "关注",
  no: "取消关注",
  note: "基于信息安全，每次最多返回50条数据",

}
export const en = {
  language: 'en',
  search: 'Search',
  all: 'All',
  sys: 'System',
  service: 'Service',
  todo: 'To-do',
  msg: 'Chats',
  contact: 'Contacts',
  group: 'Moments',
  news: 'News',
  knowledge: 'Repository',
  anyTime: 'Any time',
  beforeSearchTip: '',
  afterSearchTip: 'records were searched',
  beforeSearchTime: 'spend',
  afterSearchTime: 'seconds',
  today: 'Today',
  thisWeek: 'This week',
  thisMonth: 'This month',
  thisYear: 'This year',
  confirm: 'Confirm',
  item: 'item',
  msgGroup: 'Chats·Groups',
  msgChat: 'Chats·Chat History',
  msgFile: 'Chats·File',
  showAll: 'Show all',
  recently: 'Recently',
  empty: 'Empty',
  chatting: 'Chatting',
  cancelCollect: 'Cancel collect',
  tel: 'Extention',
  phone: 'Tel',
  departmentzh: 'Department(zh)',
  departmenten: 'Department(en)',
  label: 'Tag',
  emId: 'AI ID',
  company: 'Company',
  superior: 'Superior',
  lower: 'Subordinate',
  email: 'Email',
  workStation: 'WorkStation',
  doNotAbout: 'None',
  spread: 'spread',
  fold: 'fold',
  hasAboutCount: 'history about this chat',
  keyWords: "Keywords",
  path: 'Path',
  intro: "Description",
  person: "Persons",
  noResult:"Unsearched results",
  include:"Include",
  noName:"Noname",
  yes: "Follow",
  no: "Unfollow",
  note: "Only most 50 records once for security",
}