import {observable, action} from 'mobx'

class AllSearchStore {
    //所有的查询结果
    @observable allSearchResult = {
      all:[
          {id: 1, title: "全部", ref: "all"},
          {id: 2, title: "系统", ref: "sys"},
          {id: 3, title: "待办", ref: "todos"}
      ],         //全部
      sys:[
          {id: 1, title: "系统1", keywords: "all",intro:"系统系统系统系统"},
          {id: 2, title: "系统2", keywords: "sys",intro:"系统系统"},
          {id: 3, title: "系统3", keywords: "todo",intro:"系统系统系统系统系统"}
      ],         //系统
      todo:[
          {id: 1, title: "系统1", keywords: "all",intro:"系统系统系统系统"},
          {id: 2, title: "系统2", keywords: "sys",intro:"系统系统"},
          {id: 3, title: "系统3", keywords: "todo",intro:"系统系统系统系统系统"}
      ],        //待办
      msg:[],         //消息
      tel:[
          {},
          {},
          {}
      ],         //通讯录
      friend:[
          {id:""},
          {id:""},
          {id:""}
      ],      //同事圈
      news:[
          {id: 1, tit: "资讯标题1资讯标题1资讯标题1资讯标题1资讯标题1资讯标题1", con: "内容内容内容内容内容内容"},
          {id: 2, tit: "资讯标题2资讯标题2资讯标题2资讯标题2", con: "内容内容内容内容内容"},
          {id: 3, tit: "资讯标题3资讯标题3资讯标题3", con: "内容内容内容内容内容内容内容"}
      ],        //资讯
      knowledge:[
          {id: 1, ques: "问题描述1", answ: "答案"},
          {id: 2, ques: "问题描述2", answ: "答案答案答案答案答案答案答案答案"},
          {id: 3, ques: "问题描述3", answ: "答案答案答案答案答案答案答案答案答案答案答案答案答案答案"}
      ]    //知识库
    };

    @action setAllSearchResult = allSearchResult =>{

        this.allSearchResult = allSearchResult
    }
}

export default new AllSearchStore()
